<template>
  <div class="lxcode">
    <van-nav-bar title="支付宝拉新" left-text="返回" left-arrow @click-left="onClickLeft" style="line-height: 43px;">
        <i class="iconfont iconzuojiantou" slot="left" style="font-size: 25px;"></i>
    </van-nav-bar>
    <div class="lxcoed-bg">
        <img src="../../assets/zfblx/bg4.png" alt="">
    </div>
    <div class="lxcoed-code">
        <img src="../../assets/zfblx/bg2.png" alt="" style="">
        <div class="lxcoed-code-content">
            <img class="ewm-img" src="../../assets/zfblx/bg3.png" alt="">
            <img class="code-img" src="../../assets/zfblx/code.png" alt="">
        </div>
        <div class="lxcoed-code-text">
            支付宝拉新二维码
        </div>
    </div>
     <van-button round color="#896EDB" class="btn2" @click="bankHome">返回首页</van-button>
  </div>
</template>

<script>
export default {
    data() {
        return{

        }
    },
    created() {

    },
    methods: {
        onClickLeft() {
            this.$router.go(-1);
        },
        //返回首页
        bankHome() {
            this.$router.push("/main/product")
        }
    }
}
</script>

<style lang='less' scoped>
    .code-img{
        width: 86% !important;
        height: 86% !important;
        // position: absolute;
        margin-bottom: 4%;
    }
    .ewm-img{
        position: absolute;
        left: 0;
        right: 0;
        z-index: 2222;
    }
    .lxcode{
        background: #F3F4F5;
        min-height: 100%;
        text-align: center;
        img{
            width: 100%;
            height: 100%;
        }
    }
    .lxcoed-bg{
        width: 100%;
        height: 225px;
        // background: url('../../assets/zfblx/bg4.png');
        background-size: 100% 100%;
    }
    .lxcoed-code{
        width: 94%;
        height: 360px;
        margin: 0 3%;
        position: relative;
        // background: url("../../assets/zfblx/bg2.png");
        // background-size: 100% 100%;
        transform: translateY(-50%);
        overflow: hidden;
        // padding: 3px;
        text-align: center;
        line-height: 330px;
        img{
            width: 100%;
            height: 100%;
        }
        &-content{
            // width: 175px;
            width: 50%;
            margin: 0 25%;
            height: 175px;
            // background: url("../../assets/zfblx/bg3.png");
            background-size: 100% 100%;
            margin-top: 50px;
            // margin-left: 90px;
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
        }
        &-text{
            width: 100%;
            margin-top: 66px;
            font-size: 14px;
            color: #333333;
            text-align: center;
            line-height: 20px;
            position: absolute;
            bottom: 55px;
        }
    }
    .btn2{
        // width: 280px;
        width: 86%;
        margin: 0 7%;
        height: 44px;
        margin-top: 20px;
        background:rgba(137,110,219,1);
       
        color: white;
         transform: translateY(-180px);
    }

</style>